org.apache.poi.xddf.usermodel.text

## Class XDDFRunProperties

- java.lang.Object
- - org.apache.poi.xddf.usermodel.text.XDDFRunProperties

-     @Beta
      public class XDDFRunProperties
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDDFRunProperties()`
    `XDDFRunProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XDDFEffectContainer` | `getEffectContainer()`
    `XDDFEffectList` | `getEffectList()`
    `XDDFExtensionList` | `getExtensionList()`
    `protected org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties` | `getXmlObject()`
    `void` | `setAlternativeLanguage(java.util.Locale lang)`
    `void` | `setBaseline(java.lang.Integer value)`
    `void` | `setBold(java.lang.Boolean bold)`
    `void` | `setBookmark(java.lang.String bookmark)`
    `void` | `setCapitals(CapsType caps)`
    `void` | `setCharacterKerning(java.lang.Double kerning)`
    `void` | `setCharacterSpacing(java.lang.Double spacing)`
    `void` | `setDirty(java.lang.Boolean dirty)`
    `void` | `setEffectContainer(XDDFEffectContainer container)`
    `void` | `setEffectList(XDDFEffectList list)`
    `void` | `setExtensionList(XDDFExtensionList list)`
    `void` | `setFillProperties(XDDFFillProperties properties)`
    `void` | `setFonts(XDDFFont[] fonts)`
    `void` | `setFontSize(java.lang.Double size)`
    `void` | `setHighlight(XDDFColor color)`
    `void` | `setHyperlink(XDDFHyperlink link)`
    `void` | `setItalic(java.lang.Boolean italic)`
    `void` | `setKumimoji(java.lang.Boolean kumimoji)`
    `void` | `setLanguage(java.util.Locale lang)`
    `void` | `setLineProperties(XDDFLineProperties properties)`
    `void` | `setMouseOver(XDDFHyperlink link)`
    `void` | `setNoProof(java.lang.Boolean noproof)`
    `void` | `setNormalizeHeights(java.lang.Boolean normalize)`
    `void` | `setSpellError(java.lang.Boolean error)`
    `void` | `setStrikeThrough(StrikeType strike)`
    `void` | `setUnderline(UnderlineType underline)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFRunProperties

          public XDDFRunProperties()

    - #### XDDFRunProperties

          @Internal
          public XDDFRunProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties properties)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties getXmlObject()

    - #### setBaseline

          public void setBaseline(java.lang.Integer value)

    - #### setDirty

          public void setDirty(java.lang.Boolean dirty)

    - #### setSpellError

          public void setSpellError(java.lang.Boolean error)

    - #### setNoProof

          public void setNoProof(java.lang.Boolean noproof)

    - #### setNormalizeHeights

          public void setNormalizeHeights(java.lang.Boolean normalize)

    - #### setKumimoji

          public void setKumimoji(java.lang.Boolean kumimoji)

    - #### setBold

          public void setBold(java.lang.Boolean bold)

    - #### setItalic

          public void setItalic(java.lang.Boolean italic)

    - #### setFontSize

          public void setFontSize(java.lang.Double size)

    - #### setFillProperties

          public void setFillProperties(XDDFFillProperties properties)

    - #### setCharacterKerning

          public void setCharacterKerning(java.lang.Double kerning)

    - #### setCharacterSpacing

          public void setCharacterSpacing(java.lang.Double spacing)

    - #### setFonts

          public void setFonts(XDDFFont[] fonts)

    - #### setUnderline

          public void setUnderline(UnderlineType underline)

    - #### setStrikeThrough

          public void setStrikeThrough(StrikeType strike)

    - #### setCapitals

          public void setCapitals(CapsType caps)

    - #### setHyperlink

          public void setHyperlink(XDDFHyperlink link)

    - #### setMouseOver

          public void setMouseOver(XDDFHyperlink link)

    - #### setLanguage

          public void setLanguage(java.util.Locale lang)

    - #### setAlternativeLanguage

          public void setAlternativeLanguage(java.util.Locale lang)

    - #### setHighlight

          public void setHighlight(XDDFColor color)

    - #### setLineProperties

          public void setLineProperties(XDDFLineProperties properties)

    - #### setBookmark

          public void setBookmark(java.lang.String bookmark)

    - #### getExtensionList

          public XDDFExtensionList getExtensionList()

    - #### setExtensionList

          public void setExtensionList(XDDFExtensionList list)

    - #### getEffectContainer

          public XDDFEffectContainer getEffectContainer()

    - #### setEffectContainer

          public void setEffectContainer(XDDFEffectContainer container)

    - #### getEffectList

          public XDDFEffectList getEffectList()

    - #### setEffectList

          public void setEffectList(XDDFEffectList list)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.